Template Numerical Library: TNL::Algorithms::Segments::EllpackView< Device, Index, Organization, Alignment > Class Template Reference

Template Numerical Library version\ main:be7e16d88

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
TNL::Algorithms::Segments::EllpackView< Device, Index, Organization, Alignment > Class Template Reference
Inheritance diagram for TNL::Algorithms::Segments::EllpackView< Device, Index, Organization, Alignment >:
[legend]
Collaboration diagram for TNL::Algorithms::Segments::EllpackView< Device, Index, Organization, Alignment >:
[legend]

## Public Types
using | ConstViewType = ViewType
template<typename Device_, typename Index_>
using | ViewTemplate = EllpackView< Device_, Index_, Organization, Alignment >
using | ViewType = EllpackView
Public Types inherited from TNL::Algorithms::Segments::EllpackBase< Device, Index, Segments::DefaultElementsOrganization< Device >::getOrganization(), 32 >
using | DeviceType
using | IndexType
using | SegmentViewType

## Public Member Functions
__cuda_callable__ | EllpackView (const EllpackView &)=default
__cuda_callable__ | EllpackView (EllpackView &&) noexcept=default
__cuda_callable__ | EllpackView (Index segmentsCount, Index segmentSize)
__cuda_callable__ | EllpackView (Index segmentsCount, Index segmentSize, Index alignedSize)
__cuda_callable__ void | bind (EllpackView view)
__cuda_callable__ ConstViewType | getConstView () const
__cuda_callable__ ViewType | getView ()
void | load (File &file)
EllpackView & | operator= (const EllpackView &)=delete
EllpackView & | operator= (EllpackView &&)=delete
void | save (File &file) const
Public Member Functions inherited from TNL::Algorithms::Segments::EllpackBase< Device, Index, Segments::DefaultElementsOrganization< Device >::getOrganization(), 32 >
void | forAllElements (Function &&function) const
void | forAllSegments (Function &&function) const
void | forElements (IndexType begin, IndexType end, Function &&function) const
void | forSegments (IndexType begin, IndexType end, Function &&function) const
__cuda_callable__ IndexType | getAlignedSize () const
__cuda_callable__ IndexType | getGlobalIndex (Index segmentIdx, Index localIdx) const
__cuda_callable__ IndexType | getSegmentsCount () const
__cuda_callable__ IndexType | getSegmentSize (IndexType segmentIdx) const
__cuda_callable__ SegmentViewType | getSegmentView (IndexType segmentIdx) const
__cuda_callable__ IndexType | getSize () const
__cuda_callable__ IndexType | getStorageSize () const
EllpackBase & | operator= (const EllpackBase &)=delete

## Additional Inherited Members
Static Public Member Functions inherited from TNL::Algorithms::Segments::EllpackBase< Device, Index, Segments::DefaultElementsOrganization< Device >::getOrganization(), 32 >
static constexpr int | getAlignment ()
static constexpr ElementsOrganization | getOrganization ()
static std::string | getSegmentsType ()
static std::string | getSerializationType ()
static constexpr bool | havePadding ()
Protected Member Functions inherited from TNL::Algorithms::Segments::EllpackBase< Device, Index, Segments::DefaultElementsOrganization< Device >::getOrganization(), 32 >
__cuda_callable__ void | bind (IndexType segmentsCount, IndexType segmentSize, IndexType alignedSize)
| Re-initializes the internal attributes of the base class.
Protected Attributes inherited from TNL::Algorithms::Segments::EllpackBase< Device, Index, Segments::DefaultElementsOrganization< Device >::getOrganization(), 32 >
IndexType | alignedSize
IndexType | segmentsCount
IndexType | segmentSize

The documentation for this class was generated from the following file:

- src/TNL/Algorithms/Segments/EllpackView.h